.TH wxColourPickerCtrl 3 "wx  0.98.3" "Ericsson AB" "ERLANG MODULE DEFINITION"
.SH MODULE
wxColourPickerCtrl \- See external documentation: wxColourPickerCtrl\&.
.SH DESCRIPTION
.LP
See external documentation: wxColourPickerCtrl <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxcolourpickerctrl\&.html>\&. 
.LP
This class is derived (and can use functions) from: 
.br
wxPickerBase 
.br
wxControl 
.br
wxWindow 
.br
wxEvtHandler 

.SH DATA TYPES
.RS 2
.TP 4
.B
\fIwxColourPickerCtrl()\fR:

.RS 4
.LP
An object reference, The representation is internal and can be changed without notice\&. It can\&'t be used for comparsion stored on disc or distributed for use on other nodes\&.
.LP

.RE
.RE
.SH EXPORTS
.LP
.B
new() -> wxColourPickerCtrl()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxcolourpickerctrl\&.html#wxcolourpickerctrlwxcolourpickerctrl>\&.
.RE
.LP
.B
new(Parent::wxWindow() (see module wxWindow), Id::integer()) -> wxColourPickerCtrl()
.br
.RS
.LP
Equivalent to new(Parent, Id, [])\&.
.RE
.LP
.B
new(Parent::wxWindow() (see module wxWindow), Id::integer(), Options::[Option]) -> wxColourPickerCtrl()
.br
.RS
.TP
Types
Option = {col, colour() (see module wx)} | {pos, {X::integer(), Y::integer()}} | {size, {W::integer(), H::integer()}} | {style, integer()} | {validator, wx() (see module wx)}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxcolourpickerctrl\&.html#wxcolourpickerctrlwxcolourpickerctrl>\&.
.RE
.LP
.B
create(This::wxColourPickerCtrl(), Parent::wxWindow() (see module wxWindow), Id::integer()) -> bool()
.br
.RS
.LP
Equivalent to create(This, Parent, Id, [])\&.
.RE
.LP
.B
create(This::wxColourPickerCtrl(), Parent::wxWindow() (see module wxWindow), Id::integer(), Options::[Option]) -> bool()
.br
.RS
.TP
Types
Option = {col, colour() (see module wx)} | {pos, {X::integer(), Y::integer()}} | {size, {W::integer(), H::integer()}} | {style, integer()} | {validator, wx() (see module wx)}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxcolourpickerctrl\&.html#wxcolourpickerctrlcreate>\&.
.RE
.LP
.B
getColour(This::wxColourPickerCtrl()) -> colour() (see module wx)
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxcolourpickerctrl\&.html#wxcolourpickerctrlgetcolour>\&.
.RE
.LP
.B
setColour(This::wxColourPickerCtrl(), X::string() | term()) -> bool() | ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxcolourpickerctrl\&.html#wxcolourpickerctrlsetcolour>\&. 
.br
 Alternatives: 
.LP
\fI setColour(This::wxColourPickerCtrl(), Text::string()) -> bool() \fR 
.LP
\fI setColour(This::wxColourPickerCtrl(), Col::wx:colour()) -> ok \fR 
.RE
.LP
.B
destroy(This::wxColourPickerCtrl()) -> ok
.br
.RS
.LP
Destroys this object, do not use object again
.RE
